package com.buy507.mall.portal.domain;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 生成订单时传入的参数
 */
@ApiModel("购物车生成订单的参数实体")
public class CartOrderParam {
	
	@ApiModelProperty(value = "提货方式：0->自提；1->物流")
	private Integer deliveryType;
	
	@ApiModelProperty(value = "会员收货地址ID")
	private Long memberReceiveAddressId;
	
	@ApiModelProperty(value = "抵扣积分")
	private BigDecimal integration;
    
	@ApiModelProperty(value = "备注")
    private String note;
    
	public Integer getDeliveryType() {
		return deliveryType;
	}

	public void setDeliveryType(Integer deliveryType) {
		this.deliveryType = deliveryType;
	}

	public Long getMemberReceiveAddressId() {
        return memberReceiveAddressId;
    }

    public void setMemberReceiveAddressId(Long memberReceiveAddressId) {
        this.memberReceiveAddressId = memberReceiveAddressId;
    }
    
	public BigDecimal getIntegration() {
		return integration;
	}

	public void setIntegration(BigDecimal integration) {
		this.integration = integration;
	}

	public String getNote() {
		return note;
	}

	public void setNote(String note) {
		this.note = note;
	}

}
